let api = process.env.VUE_APP_DATA_API + '/operate/channel_group'
import request from '@/utils/request'
/** 获取分组信息 */
export function getChannelGroup(data) {
    return request({
      url: `${api}/user_channel_group`,
      method: 'POST',
      data: data
    })
}
/** 获取所有公众号 */
export function getAllAccount(data) {
    return request({
      url: `${api}/user_channel`,
      method: 'POST',
      data: data
    })
}
/** 新增分组 */
export function addGroup(data) {
    return request({
        url: `${api}/group_add`,
        method: 'POST',
        data: data
    })
}
/** 删除分组 */
export function delGroup(data) {
    return request({
        url: `${api}/group_del`,
        method: 'POST',
        data: data
    })
}

/** 所有用户 */
export function AllUser(data) {
    return request({
        url: `${api}/user`,
        method: 'POST',
        data: data
    })
}

/** 分配组 */
export function fpGroup(data) {
    return request({
        url: `${api}/group_auth_add`,
        method: 'POST',
        data: data
    })
}

/** 删除分配组 */
export function delFpGroup(data) {
    return request({
        url: `${api}/group_auth_del`,
        method: 'POST',
        data: data
    })
}